//原料需求列表接口
export interface MaterialDemandImportParams {
  pageNum: number
  pageSize: number
  endDate: string
  startDate: string
}

//原料需求列表返回接口
export interface MaterialDemandImportListData {
  createTime: string
  creatorName: string
  demandDate: string
  id: number
  materialGroupNumber: number
  materialGroupQty: number
  remarks: string
  status: number
  statusDesc: string
  updateTime: string
}

//原料需求明细列表查询接口
export interface MaterialDemandDetailsDataQuery {
  pageNum: number
  pageSize: number
  accountName: string
  manufactureName: string
  materialGroupName: string
  demandId: number
}

//原料需求明细列表查询接口
export interface MaterialDemandDetailsQueryListData {
  accountName: string
  createTime: string
  creatorId: number
  creatorName: string
  demandId: number
  id: number
  manufactureCode: string
  manufactureName: string
  materialGroupCode: string
  materialGroupName: string
  proportion: number
  remarks: string
  requirementVolume: number
  updateTime: string
  updatorId: number
  updatorName: string
}

//编辑原料需求明细接口
export interface MaterialDemandDetailsListEdit {
  accountName: string
  id?: number
  demandId?: number
  manufactureCode: string
  manufactureName: string
  materialGroupCode: string
  materialGroupName: string
  proportion: number|null
  remarks: string
  requirementVolume: number|null
}
